<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpClient 4.2.3</title>
</head><body onload="setBrowserTitle('HttpClient 4.2.3: Coverage Clouds')">
<table cellspacing="0" cellpadding="2" style="padding:2" class="barGraph">
  <tr>
    <td colspan="1">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage Cloud Report - <a href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 11:12:32 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Clouds</span></div>
        
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="proj-risks.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Mon Jan 14 2013 22:50:36 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      7,721
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      40,509
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      3,559
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.85
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      3,270
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      18,764
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.46
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      5.14
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,593
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      292
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      2.23
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.76
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      310
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      21
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Mon Jan 14 2013 22:50:36 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      7,721
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      40,509
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      3,559
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.85
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      3,270
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      18,764
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.46
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      5.14
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,593
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      292
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      2.23
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.76
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      310
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      21
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1"></td></tr>

<tr><td class="hbreak" colspan="1">
   <div style="position:relative;height:30px;">
   <div id="mapnav" >
       <ul>
                                                                                            <li class="mapactive">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_risks;" onclick="window.location.href='proj-risks.html'">Project Risks</label>
                        </div>
                    </div>
                </li>
                                                            <li class="">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_quick_wins;" onclick="window.location.href='quick-wins.html'">Quick Wins</label>
                        </div>
                    </div>
                </li>
                   </ul>
   </div>
          <div class="cloudowner"><a href="pkg-summary.html">Clover database Mon Jan 14 2013 22:50:36 CET</a></div>
      </div>

<div class="tags roundedLarge">
   <b class="ctop noLeftCnr"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
   <div class="roundedContent" style="padding: 5px;">
	
      <div id="deepPackageCloud"  >
      
	 	 
	       <a href="org/apache/http/impl/client/AIMDBackoffManager.html#AIMDBackoffManager" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="Average Method Complexity - 2.111 , Coverage - 87.5% ">AIMDBackoffManager</a>
   
	 	 
	       <a href="org/apache/http/auth/AUTH.html#AUTH" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">AUTH</a>
   
	 	 
	       <a href="org/apache/http/impl/client/AbstractAuthenticationHandler.html#AbstractAuthenticationHandler" class="tag"
	  style="font-size: 18px;color:#e4051a"
	  title="Average Method Complexity - 4 , Coverage - 0% ">AbstractAuthenticationHandler</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/AbstractClientConnAdapter.html#AbstractClientConnAdapter" class="tag"
	  style="font-size: 12px;color:#cb0533"
	  title="Average Method Complexity - 1.455 , Coverage - 5.3% ">AbstractClientConnAdapter</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/tsccm/AbstractConnPool.html#AbstractConnPool" class="tag"
	  style="font-size: 12px;color:#b2054c"
	  title="Average Method Complexity - 1.625 , Coverage - 12.5% ">AbstractConnPool</a>
   
	 	 
	       <a href="org/apache/http/impl/client/AbstractHttpClient.html#AbstractHttpClient" class="tag"
	  style="font-size: 12px;color:#4d05b1"
	  title="Average Method Complexity - 1.542 , Coverage - 61.3% ">AbstractHttpClient</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/AbstractPoolEntry.html#AbstractPoolEntry" class="tag"
	  style="font-size: 17px;color:#b2054c"
	  title="Average Method Complexity - 3.625 , Coverage - 15.8% ">AbstractPoolEntry</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/AbstractPooledConnAdapter.html#AbstractPooledConnAdapter" class="tag"
	  style="font-size: 12px;color:#cb0533"
	  title="Average Method Complexity - 1.571 , Coverage - 4.3% ">AbstractPooledConnAdapter</a>
   
	 	 
	       <a href="org/apache/http/conn/ssl/AbstractVerifier.html#AbstractVerifier" class="tag"
	  style="font-size: 17px;color:#1b05e3"
	  title="Average Method Complexity - 3.583 , Coverage - 86.9% ">AbstractVerifier</a>
   
	 	 
	       <a href="org/apache/http/conn/ssl/AllowAllHostnameVerifier.html#AllowAllHostnameVerifier" class="tag"
	  style="font-size: 11px;color:#80057e"
	  title="Average Method Complexity - 1 , Coverage - 33.3% ">AllowAllHostnameVerifier</a>
   
	 	 
	       <a href="org/apache/http/auth/AuthOption.html#AuthOption" class="tag"
	  style="font-size: 12px;color:#3405ca"
	  title="Average Method Complexity - 1.5 , Coverage - 66.7% ">AuthOption</a>
   
	 	 
	       <a href="org/apache/http/auth/params/AuthParamBean.html#AuthParamBean" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">AuthParamBean</a>
   
	 	 
	       <a href="org/apache/http/auth/params/AuthParams.html#AuthParams" class="tag"
	  style="font-size: 13px;color:#80057e"
	  title="Average Method Complexity - 2 , Coverage - 42.1% ">AuthParams</a>
   
	 	 
	       <a href="org/apache/http/client/params/AuthPolicy.html#AuthPolicy" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">AuthPolicy</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/AuthSchemeBase.html#AuthSchemeBase" class="tag"
	  style="font-size: 15px;color:#1b05e3"
	  title="Average Method Complexity - 2.571 , Coverage - 87.5% ">AuthSchemeBase</a>
   
	 	 
	       <a href="org/apache/http/auth/AuthSchemeRegistry.html#AuthSchemeRegistry" class="tag"
	  style="font-size: 13px;color:#80057e"
	  title="Average Method Complexity - 2 , Coverage - 41% ">AuthSchemeRegistry</a>
   
	 	 
	       <a href="org/apache/http/auth/AuthScope.html#AuthScope" class="tag"
	  style="font-size: 15px;color:#4d05b1"
	  title="Average Method Complexity - 2.714 , Coverage - 57% ">AuthScope</a>
   
	 	 
	       <a href="org/apache/http/auth/AuthState.html#AuthState" class="tag"
	  style="font-size: 12px;color:#660598"
	  title="Average Method Complexity - 1.471 , Coverage - 47.2% ">AuthState</a>
   
	 	 
	       <a href="org/apache/http/auth/AuthenticationException.html#AuthenticationException" class="tag"
	  style="font-size: 11px;color:#3405ca"
	  title="Average Method Complexity - 1 , Coverage - 66.7% ">AuthenticationException</a>
   
	 	 
	       <a href="org/apache/http/impl/client/AuthenticationStrategyAdaptor.html#AuthenticationStrategyAdaptor" class="tag"
	  style="font-size: 15px;color:#e4051a"
	  title="Average Method Complexity - 2.875 , Coverage - 0% ">AuthenticationStrategyAdaptor</a>
   
	 	 
	       <a href="org/apache/http/impl/client/AuthenticationStrategyImpl.html#AuthenticationStrategyImpl" class="tag"
	  style="font-size: 22px;color:#0205fc"
	  title="Average Method Complexity - 5.714 , Coverage - 91.4% ">AuthenticationStrategyImpl</a>
   
	 	 
	       <a href="org/apache/http/impl/client/AutoRetryHttpClient.html#AutoRetryHttpClient" class="tag"
	  style="font-size: 12px;color:#80057e"
	  title="Average Method Complexity - 1.429 , Coverage - 40% ">AutoRetryHttpClient</a>
   
	 	 
	       <a href="org/apache/http/impl/client/BasicAuthCache.html#BasicAuthCache" class="tag"
	  style="font-size: 13px;color:#3405ca"
	  title="Average Method Complexity - 1.714 , Coverage - 73.5% ">BasicAuthCache</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/BasicClientConnectionManager.html#BasicClientConnectionManager" class="tag"
	  style="font-size: 16px;color:#4d05b1"
	  title="Average Method Complexity - 3 , Coverage - 63.2% ">BasicClientConnectionManager</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/BasicClientCookie.html#BasicClientCookie" class="tag"
	  style="font-size: 11px;color:#3405ca"
	  title="Average Method Complexity - 1.12 , Coverage - 66.3% ">BasicClientCookie</a>
   
	 	 
	       <a href="org/apache/http/impl/client/BasicCookieStore.html#BasicCookieStore" class="tag"
	  style="font-size: 13px;color:#660598"
	  title="Average Method Complexity - 1.857 , Coverage - 51.3% ">BasicCookieStore</a>
   
	 	 
	       <a href="org/apache/http/impl/client/BasicCredentialsProvider.html#BasicCredentialsProvider" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="Average Method Complexity - 1.833 , Coverage - 84.2% ">BasicCredentialsProvider</a>
   
	 	 
	       <a href="org/apache/http/conn/BasicEofSensorWatcher.html#BasicEofSensorWatcher" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1.75 , Coverage - 0% ">BasicEofSensorWatcher</a>
   
	 	 
	       <a href="org/apache/http/conn/BasicManagedEntity.html#BasicManagedEntity" class="tag"
	  style="font-size: 13px;color:#3405ca"
	  title="Average Method Complexity - 2 , Coverage - 68% ">BasicManagedEntity</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/tsccm/BasicPoolEntry.html#BasicPoolEntry" class="tag"
	  style="font-size: 12px;color:#660598"
	  title="Average Method Complexity - 1.308 , Coverage - 54.9% ">BasicPoolEntry</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/tsccm/BasicPoolEntryRef.html#BasicPoolEntryRef" class="tag"
	  style="font-size: 12px;color:#e4051a"
	  title="Average Method Complexity - 1.5 , Coverage - 0% ">BasicPoolEntryRef</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/tsccm/BasicPooledConnAdapter.html#BasicPooledConnAdapter" class="tag"
	  style="font-size: 11px;color:#80057e"
	  title="Average Method Complexity - 1 , Coverage - 33.3% ">BasicPooledConnAdapter</a>
   
	 	 
	       <a href="org/apache/http/impl/client/BasicResponseHandler.html#BasicResponseHandler" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="Average Method Complexity - 3 , Coverage - 90.9% ">BasicResponseHandler</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/BasicScheme.html#BasicScheme" class="tag"
	  style="font-size: 12px;color:#1b05e3"
	  title="Average Method Complexity - 1.667 , Coverage - 78.8% ">BasicScheme</a>
   
	 	 
	       <a href="org/apache/http/auth/BasicUserPrincipal.html#BasicUserPrincipal" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="Average Method Complexity - 1.8 , Coverage - 84.8% ">BasicUserPrincipal</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/BestMatchSpec.html#BestMatchSpec" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="Average Method Complexity - 3.167 , Coverage - 90.7% ">BestMatchSpec</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/BestMatchSpecFactory.html#BestMatchSpecFactory" class="tag"
	  style="font-size: 16px;color:#4d05b1"
	  title="Average Method Complexity - 3 , Coverage - 64.3% ">BestMatchSpecFactory</a>
   
	 	 
	       <a href="org/apache/http/conn/ssl/BrowserCompatHostnameVerifier.html#BrowserCompatHostnameVerifier" class="tag"
	  style="font-size: 11px;color:#660598"
	  title="Average Method Complexity - 1 , Coverage - 50% ">BrowserCompatHostnameVerifier</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/BrowserCompatSpec.html#BrowserCompatSpec" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="Average Method Complexity - 3.286 , Coverage - 89.3% ">BrowserCompatSpec</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/BrowserCompatSpecFactory.html#BrowserCompatSpecFactory" class="tag"
	  style="font-size: 16px;color:#3405ca"
	  title="Average Method Complexity - 3 , Coverage - 76.9% ">BrowserCompatSpecFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/BrowserCompatVersionAttributeHandler.html#BrowserCompatVersionAttributeHandler" class="tag"
	  style="font-size: 14px;color:#3405ca"
	  title="Average Method Complexity - 2.5 , Coverage - 73.3% ">BrowserCompatVersionAttributeHandler</a>
   
	 	 
	       <a href="org/apache/http/client/CircularRedirectException.html#CircularRedirectException" class="tag"
	  style="font-size: 11px;color:#80057e"
	  title="Average Method Complexity - 1 , Coverage - 33.3% ">CircularRedirectException</a>
   
	 	 
	       <a href="org/apache/http/client/protocol/ClientContextConfigurer.html#ClientContextConfigurer" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1.2 , Coverage - 0% ">ClientContextConfigurer</a>
   
	 	 
	       <a href="org/apache/http/client/params/ClientParamBean.html#ClientParamBean" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">ClientParamBean</a>
   
	 	 
	       <a href="org/apache/http/impl/client/ClientParamsStack.html#ClientParamsStack" class="tag"
	  style="font-size: 13px;color:#80057e"
	  title="Average Method Complexity - 2.091 , Coverage - 38.9% ">ClientParamsStack</a>
   
	 	 
	       <a href="org/apache/http/client/ClientProtocolException.html#ClientProtocolException" class="tag"
	  style="font-size: 11px;color:#660598"
	  title="Average Method Complexity - 1 , Coverage - 44.4% ">ClientProtocolException</a>
   
	 	 
	       <a href="org/apache/http/client/utils/CloneUtils.html#CloneUtils" class="tag"
	  style="font-size: 18px;color:#4d05b1"
	  title="Average Method Complexity - 4 , Coverage - 62.5% ">CloneUtils</a>
   
	 	 
	       <a href="org/apache/http/conn/params/ConnConnectionParamBean.html#ConnConnectionParamBean" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">ConnConnectionParamBean</a>
   
	 	 
	       <a href="org/apache/http/conn/params/ConnManagerParamBean.html#ConnManagerParamBean" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">ConnManagerParamBean</a>
   
	 	 
	       <a href="org/apache/http/conn/params/ConnManagerParams.html#ConnManagerParams" class="tag"
	  style="font-size: 13px;color:#990565"
	  title="Average Method Complexity - 2 , Coverage - 27.9% ">ConnManagerParams</a>
   
	 	 
	       <a href="org/apache/http/conn/params/ConnPerRouteBean.html#ConnPerRouteBean" class="tag"
	  style="font-size: 12px;color:#80057e"
	  title="Average Method Complexity - 1.667 , Coverage - 37% ">ConnPerRouteBean</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/tsccm/ConnPoolByRoute.html#ConnPoolByRoute" class="tag"
	  style="font-size: 16px;color:#1b05e3"
	  title="Average Method Complexity - 3.1 , Coverage - 84.5% ">ConnPoolByRoute</a>
   
	 	 
	       <a href="org/apache/http/conn/params/ConnRouteParamBean.html#ConnRouteParamBean" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">ConnRouteParamBean</a>
   
	 	 
	       <a href="org/apache/http/conn/params/ConnRouteParams.html#ConnRouteParams" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="Average Method Complexity - 2.429 , Coverage - 97.9% ">ConnRouteParams</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/ConnectionShutdownException.html#ConnectionShutdownException" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">ConnectionShutdownException</a>
   
	 	 
	       <a href="org/apache/http/impl/client/ContentEncodingHttpClient.html#ContentEncodingHttpClient" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">ContentEncodingHttpClient</a>
   
	 	 
	       <a href="org/apache/http/cookie/CookieOrigin.html#CookieOrigin" class="tag"
	  style="font-size: 13px;color:#3405ca"
	  title="Average Method Complexity - 2 , Coverage - 72.3% ">CookieOrigin</a>
   
	 	 
	       <a href="org/apache/http/client/params/CookiePolicy.html#CookiePolicy" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">CookiePolicy</a>
   
	 	 
	       <a href="org/apache/http/cookie/CookieRestrictionViolationException.html#CookieRestrictionViolationException" class="tag"
	  style="font-size: 11px;color:#660598"
	  title="Average Method Complexity - 1 , Coverage - 50% ">CookieRestrictionViolationException</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/CookieSpecBase.html#CookieSpecBase" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="Average Method Complexity - 3.2 , Coverage - 98.5% ">CookieSpecBase</a>
   
	 	 
	       <a href="org/apache/http/cookie/params/CookieSpecParamBean.html#CookieSpecParamBean" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">CookieSpecParamBean</a>
   
	 	 
	       <a href="org/apache/http/cookie/CookieSpecRegistry.html#CookieSpecRegistry" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="Average Method Complexity - 1.857 , Coverage - 82.9% ">CookieSpecRegistry</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/DateUtils.html#DateUtils" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="Average Method Complexity - 2.125 , Coverage - 94.3% ">DateUtils</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/DateUtils.html#DateUtils.DateFormatHolder" class="tag"
	  style="font-size: 12px;color:#3405ca"
	  title="Average Method Complexity - 1.667 , Coverage - 75% ">DateUtils.DateFormatHolder</a>
   
	 	 
	       <a href="org/apache/http/client/entity/DecompressingEntity.html#DecompressingEntity" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="Average Method Complexity - 2.25 , Coverage - 87.5% ">DecompressingEntity</a>
   
	 	 
	       <a href="org/apache/http/impl/client/DecompressingHttpClient.html#DecompressingHttpClient" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="Average Method Complexity - 1.615 , Coverage - 89.1% ">DecompressingHttpClient</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/DefaultClientConnection.html#DefaultClientConnection" class="tag"
	  style="font-size: 13px;color:#4d05b1"
	  title="Average Method Complexity - 2.059 , Coverage - 58.2% ">DefaultClientConnection</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/DefaultClientConnectionOperator.html#DefaultClientConnectionOperator" class="tag"
	  style="font-size: 19px;color:#660598"
	  title="Average Method Complexity - 4.286 , Coverage - 45.4% ">DefaultClientConnectionOperator</a>
   
	 	 
	       <a href="org/apache/http/impl/client/DefaultHttpClient.html#DefaultHttpClient" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="Average Method Complexity - 1.143 , Coverage - 91.7% ">DefaultHttpClient</a>
   
	 	 
	       <a href="org/apache/http/impl/client/DefaultHttpRequestRetryHandler.html#DefaultHttpRequestRetryHandler" class="tag"
	  style="font-size: 15px;color:#3405ca"
	  title="Average Method Complexity - 2.714 , Coverage - 75% ">DefaultHttpRequestRetryHandler</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/DefaultHttpResponseParser.html#DefaultHttpResponseParser" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="Average Method Complexity - 3.333 , Coverage - 88.9% ">DefaultHttpResponseParser</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/DefaultHttpRoutePlanner.html#DefaultHttpRoutePlanner" class="tag"
	  style="font-size: 18px;color:#3405ca"
	  title="Average Method Complexity - 4 , Coverage - 69.7% ">DefaultHttpRoutePlanner</a>
   
	 	 
	       <a href="org/apache/http/impl/client/DefaultProxyAuthenticationHandler.html#DefaultProxyAuthenticationHandler" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1.75 , Coverage - 0% ">DefaultProxyAuthenticationHandler</a>
   
	 	 
	       <a href="org/apache/http/impl/client/DefaultRedirectHandler.html#DefaultRedirectHandler" class="tag"
	  style="font-size: 25px;color:#e4051a"
	  title="Average Method Complexity - 7 , Coverage - 0% ">DefaultRedirectHandler</a>
   
	 	 
	       <a href="org/apache/http/impl/client/DefaultRedirectStrategy.html#DefaultRedirectStrategy" class="tag"
	  style="font-size: 21px;color:#1b05e3"
	  title="Average Method Complexity - 5.286 , Coverage - 87.8% ">DefaultRedirectStrategy</a>
   
	 	 
	       <a href="org/apache/http/impl/client/DefaultRedirectStrategyAdaptor.html#DefaultRedirectStrategyAdaptor" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1.25 , Coverage - 0% ">DefaultRedirectStrategyAdaptor</a>
   
	 	 
	       <a href="org/apache/http/impl/client/DefaultRequestDirector.html#DefaultRequestDirector" class="tag"
	  style="font-size: 29px;color:#4d05b1"
	  title="Average Method Complexity - 8.5 , Coverage - 64.3% ">DefaultRequestDirector</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/DefaultResponseParser.html#DefaultResponseParser" class="tag"
	  style="font-size: 16px;color:#e4051a"
	  title="Average Method Complexity - 3.333 , Coverage - 0% ">DefaultResponseParser</a>
   
	 	 
	       <a href="org/apache/http/impl/client/DefaultServiceUnavailableRetryStrategy.html#DefaultServiceUnavailableRetryStrategy" class="tag"
	  style="font-size: 12px;color:#1b05e3"
	  title="Average Method Complexity - 1.5 , Coverage - 77.8% ">DefaultServiceUnavailableRetryStrategy</a>
   
	 	 
	       <a href="org/apache/http/impl/client/DefaultTargetAuthenticationHandler.html#DefaultTargetAuthenticationHandler" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1.75 , Coverage - 0% ">DefaultTargetAuthenticationHandler</a>
   
	 	 
	       <a href="org/apache/http/impl/client/DefaultUserTokenHandler.html#DefaultUserTokenHandler" class="tag"
	  style="font-size: 22px;color:#3405ca"
	  title="Average Method Complexity - 5.5 , Coverage - 75% ">DefaultUserTokenHandler</a>
   
	 	 
	       <a href="org/apache/http/client/entity/DeflateDecompressingEntity.html#DeflateDecompressingEntity" class="tag"
	  style="font-size: 15px;color:#3405ca"
	  title="Average Method Complexity - 2.75 , Coverage - 68.3% ">DeflateDecompressingEntity</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/DigestScheme.html#DigestScheme" class="tag"
	  style="font-size: 17px;color:#0205fc"
	  title="Average Method Complexity - 3.375 , Coverage - 96.3% ">DigestScheme</a>
   
	 	 
	       <a href="org/apache/http/impl/client/EntityEnclosingRequestWrapper.html#EntityEnclosingRequestWrapper" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="Average Method Complexity - 1.2 , Coverage - 93.3% ">EntityEnclosingRequestWrapper</a>
   
	 	 
	       <a href="org/apache/http/impl/client/EntityEnclosingRequestWrapper.html#EntityEnclosingRequestWrapper.EntityWrapper" class="tag"
	  style="font-size: 11px;color:#660598"
	  title="Average Method Complexity - 1 , Coverage - 45.5% ">EntityEnclosingRequestWrapper.EntityWrapper</a>
   
	 	 
	       <a href="org/apache/http/conn/EofSensorInputStream.html#EofSensorInputStream" class="tag"
	  style="font-size: 15px;color:#3405ca"
	  title="Average Method Complexity - 2.667 , Coverage - 73.6% ">EofSensorInputStream</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/GGSSchemeBase.html#GGSSchemeBase" class="tag"
	  style="font-size: 17px;color:#4d05b1"
	  title="Average Method Complexity - 3.75 , Coverage - 56.7% ">GGSSchemeBase</a>
   
	 	 
	       <a href="org/apache/http/client/entity/GzipDecompressingEntity.html#GzipDecompressingEntity" class="tag"
	  style="font-size: 11px;color:#3405ca"
	  title="Average Method Complexity - 1 , Coverage - 75% ">GzipDecompressingEntity</a>
   
	 	 
	       <a href="org/apache/http/impl/client/HttpAuthenticator.html#HttpAuthenticator" class="tag"
	  style="font-size: 23px;color:#1b05e3"
	  title="Average Method Complexity - 6.25 , Coverage - 86.2% ">HttpAuthenticator</a>
   
	 	 
	       <a href="org/apache/http/client/params/HttpClientParams.html#HttpClientParams" class="tag"
	  style="font-size: 14px;color:#80057e"
	  title="Average Method Complexity - 2.111 , Coverage - 40% ">HttpClientParams</a>
   
	 	 
	       <a href="org/apache/http/client/utils/HttpClientUtils.html#HttpClientUtils" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="Average Method Complexity - 2.333 , Coverage - 87.5% ">HttpClientUtils</a>
   
	 	 
	       <a href="org/apache/http/client/methods/HttpDelete.html#HttpDelete" class="tag"
	  style="font-size: 11px;color:#660598"
	  title="Average Method Complexity - 1 , Coverage - 50% ">HttpDelete</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/HttpEntityDigester.html#HttpEntityDigester" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="Average Method Complexity - 1.6 , Coverage - 92.3% ">HttpEntityDigester</a>
   
	 	 
	       <a href="org/apache/http/client/methods/HttpGet.html#HttpGet" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="Average Method Complexity - 1 , Coverage - 80% ">HttpGet</a>
   
	 	 
	       <a href="org/apache/http/client/methods/HttpHead.html#HttpHead" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="Average Method Complexity - 1 , Coverage - 80% ">HttpHead</a>
   
	 	 
	       <a href="org/apache/http/conn/HttpHostConnectException.html#HttpHostConnectException" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">HttpHostConnectException</a>
   
	 	 
	       <a href="org/apache/http/conn/HttpInetSocketAddress.html#HttpInetSocketAddress" class="tag"
	  style="font-size: 12px;color:#4d05b1"
	  title="Average Method Complexity - 1.333 , Coverage - 63.6% ">HttpInetSocketAddress</a>
   
	 	 
	       <a href="org/apache/http/client/methods/HttpOptions.html#HttpOptions" class="tag"
	  style="font-size: 12px;color:#4d05b1"
	  title="Average Method Complexity - 1.4 , Coverage - 60% ">HttpOptions</a>
   
	 	 
	       <a href="org/apache/http/client/methods/HttpPatch.html#HttpPatch" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">HttpPatch</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/HttpPoolEntry.html#HttpPoolEntry" class="tag"
	  style="font-size: 12px;color:#1b05e3"
	  title="Average Method Complexity - 1.429 , Coverage - 88% ">HttpPoolEntry</a>
   
	 	 
	       <a href="org/apache/http/client/methods/HttpPost.html#HttpPost" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="Average Method Complexity - 1 , Coverage - 80% ">HttpPost</a>
   
	 	 
	       <a href="org/apache/http/client/methods/HttpPut.html#HttpPut" class="tag"
	  style="font-size: 11px;color:#660598"
	  title="Average Method Complexity - 1 , Coverage - 50% ">HttpPut</a>
   
	 	 
	       <a href="org/apache/http/client/methods/HttpRequestBase.html#HttpRequestBase" class="tag"
	  style="font-size: 12px;color:#1b05e3"
	  title="Average Method Complexity - 1.643 , Coverage - 84.5% ">HttpRequestBase</a>
   
	 	 
	       <a href="org/apache/http/conn/routing/HttpRoute.html#HttpRoute" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="Average Method Complexity - 2.091 , Coverage - 98.7% ">HttpRoute</a>
   
	 	 
	       <a href="org/apache/http/client/methods/HttpTrace.html#HttpTrace" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="Average Method Complexity - 1 , Coverage - 80% ">HttpTrace</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/IdleConnectionHandler.html#IdleConnectionHandler" class="tag"
	  style="font-size: 15px;color:#cb0533"
	  title="Average Method Complexity - 2.667 , Coverage - 5.1% ">IdleConnectionHandler</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/IdleConnectionHandler.html#IdleConnectionHandler.TimeValues" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 2 , Coverage - 0% ">IdleConnectionHandler.TimeValues</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/IgnoreSpec.html#IgnoreSpec" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">IgnoreSpec</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/IgnoreSpecFactory.html#IgnoreSpecFactory" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">IgnoreSpecFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/InMemoryDnsResolver.html#InMemoryDnsResolver" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 2.333 , Coverage - 0% ">InMemoryDnsResolver</a>
   
	 	 
	       <a href="org/apache/http/conn/util/InetAddressUtils.html#InetAddressUtils" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="Average Method Complexity - 1 , Coverage - 88.9% ">InetAddressUtils</a>
   
	 	 
	       <a href="org/apache/http/auth/InvalidCredentialsException.html#InvalidCredentialsException" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">InvalidCredentialsException</a>
   
	 	 
	       <a href="org/apache/http/client/utils/JdkIdn.html#JdkIdn" class="tag"
	  style="font-size: 16px;color:#4d05b1"
	  title="Average Method Complexity - 3 , Coverage - 58.3% ">JdkIdn</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/KerberosScheme.html#KerberosScheme" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1.125 , Coverage - 0% ">KerberosScheme</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/KerberosSchemeFactory.html#KerberosSchemeFactory" class="tag"
	  style="font-size: 11px;color:#4d05b1"
	  title="Average Method Complexity - 1 , Coverage - 55.6% ">KerberosSchemeFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/client/LaxRedirectStrategy.html#LaxRedirectStrategy" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 2 , Coverage - 0% ">LaxRedirectStrategy</a>
   
	 	 
	       <a href="org/apache/http/conn/scheme/LayeredSocketFactoryAdaptor.html#LayeredSocketFactoryAdaptor" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">LayeredSocketFactoryAdaptor</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/LoggingSessionInputBuffer.html#LoggingSessionInputBuffer" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 2.3 , Coverage - 0% ">LoggingSessionInputBuffer</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/LoggingSessionOutputBuffer.html#LoggingSessionOutputBuffer" class="tag"
	  style="font-size: 12px;color:#e4051a"
	  title="Average Method Complexity - 1.667 , Coverage - 0% ">LoggingSessionOutputBuffer</a>
   
	 	 
	       <a href="org/apache/http/auth/MalformedChallengeException.html#MalformedChallengeException" class="tag"
	  style="font-size: 11px;color:#3405ca"
	  title="Average Method Complexity - 1 , Coverage - 66.7% ">MalformedChallengeException</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/ManagedClientConnectionImpl.html#ManagedClientConnectionImpl" class="tag"
	  style="font-size: 13px;color:#660598"
	  title="Average Method Complexity - 1.976 , Coverage - 51.4% ">ManagedClientConnectionImpl</a>
   
	 	 
	       <a href="org/apache/http/conn/MultihomePlainSocketFactory.html#MultihomePlainSocketFactory" class="tag"
	  style="font-size: 17px;color:#e4051a"
	  title="Average Method Complexity - 3.4 , Coverage - 0% ">MultihomePlainSocketFactory</a>
   
	 	 
	       <a href="org/apache/http/auth/NTCredentials.html#NTCredentials" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="Average Method Complexity - 1.9 , Coverage - 87.5% ">NTCredentials</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/NTLMEngineException.html#NTLMEngineException" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">NTLMEngineException</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/NTLMEngineImpl.html#NTLMEngineImpl" class="tag"
	  style="font-size: 12px;color:#3405ca"
	  title="Average Method Complexity - 1.545 , Coverage - 73.9% ">NTLMEngineImpl</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/NTLMEngineImpl.html#NTLMEngineImpl.CipherGen" class="tag"
	  style="font-size: 13px;color:#3405ca"
	  title="Average Method Complexity - 2 , Coverage - 74.1% ">NTLMEngineImpl.CipherGen</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/NTLMEngineImpl.html#NTLMEngineImpl.HMACMD5" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="Average Method Complexity - 2 , Coverage - 80.6% ">NTLMEngineImpl.HMACMD5</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/NTLMEngineImpl.html#NTLMEngineImpl.NTLMMessage" class="tag"
	  style="font-size: 12px;color:#80057e"
	  title="Average Method Complexity - 1.533 , Coverage - 35.1% ">NTLMEngineImpl.NTLMMessage</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/NTLMEngineImpl.html#NTLMEngineImpl.Type1Message" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="Average Method Complexity - 1.5 , Coverage - 95.5% ">NTLMEngineImpl.Type1Message</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/NTLMEngineImpl.html#NTLMEngineImpl.Type2Message" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="Average Method Complexity - 2.2 , Coverage - 0% ">NTLMEngineImpl.Type2Message</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/NTLMEngineImpl.html#NTLMEngineImpl.Type3Message" class="tag"
	  style="font-size: 26px;color:#3405ca"
	  title="Average Method Complexity - 7.5 , Coverage - 75.7% ">NTLMEngineImpl.Type3Message</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/NTLMScheme.html#NTLMScheme" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 2 , Coverage - 0% ">NTLMScheme</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/NTLMSchemeFactory.html#NTLMSchemeFactory" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">NTLMSchemeFactory</a>
   
	 	 
	       <a href="org/apache/http/auth/NTUserPrincipal.html#NTUserPrincipal" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="Average Method Complexity - 2.143 , Coverage - 81.2% ">NTUserPrincipal</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/NegotiateScheme.html#NegotiateScheme" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1.7 , Coverage - 0% ">NegotiateScheme</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/NegotiateSchemeFactory.html#NegotiateSchemeFactory" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">NegotiateSchemeFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/NetscapeDraftHeaderParser.html#NetscapeDraftHeaderParser" class="tag"
	  style="font-size: 23px;color:#0205fc"
	  title="Average Method Complexity - 6 , Coverage - 94.9% ">NetscapeDraftHeaderParser</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/NetscapeDraftSpec.html#NetscapeDraftSpec" class="tag"
	  style="font-size: 15px;color:#1b05e3"
	  title="Average Method Complexity - 2.571 , Coverage - 81.5% ">NetscapeDraftSpec</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/NetscapeDraftSpecFactory.html#NetscapeDraftSpecFactory" class="tag"
	  style="font-size: 16px;color:#3405ca"
	  title="Average Method Complexity - 3 , Coverage - 76.9% ">NetscapeDraftSpecFactory</a>
   
	 	 
	       <a href="org/apache/http/client/NonRepeatableRequestException.html#NonRepeatableRequestException" class="tag"
	  style="font-size: 11px;color:#3405ca"
	  title="Average Method Complexity - 1 , Coverage - 66.7% ">NonRepeatableRequestException</a>
   
	 	 
	       <a href="org/apache/http/conn/scheme/PlainSocketFactory.html#PlainSocketFactory" class="tag"
	  style="font-size: 14px;color:#660598"
	  title="Average Method Complexity - 2.375 , Coverage - 50% ">PlainSocketFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/PoolingClientConnectionManager.html#PoolingClientConnectionManager" class="tag"
	  style="font-size: 13px;color:#4d05b1"
	  title="Average Method Complexity - 2 , Coverage - 57.4% ">PoolingClientConnectionManager</a>
   
	 	 
	       <a href="org/apache/http/impl/client/ProxyClient.html#ProxyClient" class="tag"
	  style="font-size: 16px;color:#e4051a"
	  title="Average Method Complexity - 3 , Coverage - 0% ">ProxyClient</a>
   
	 	 
	       <a href="org/apache/http/impl/client/ProxyClient.html#ProxyClient.ProxyConnection" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">ProxyClient.ProxyConnection</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/ProxySelectorRoutePlanner.html#ProxySelectorRoutePlanner" class="tag"
	  style="font-size: 17px;color:#3405ca"
	  title="Average Method Complexity - 3.714 , Coverage - 70.5% ">ProxySelectorRoutePlanner</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/PublicSuffixFilter.html#PublicSuffixFilter" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="Average Method Complexity - 2.286 , Coverage - 82.7% ">PublicSuffixFilter</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/PublicSuffixListParser.html#PublicSuffixListParser" class="tag"
	  style="font-size: 20px;color:#0205fc"
	  title="Average Method Complexity - 4.667 , Coverage - 90.3% ">PublicSuffixListParser</a>
   
	 	 
	       <a href="org/apache/http/client/utils/Punycode.html#Punycode" class="tag"
	  style="font-size: 12px;color:#1b05e3"
	  title="Average Method Complexity - 1.5 , Coverage - 87.5% ">Punycode</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/RFC2109Spec.html#RFC2109Spec" class="tag"
	  style="font-size: 15px;color:#0205fc"
	  title="Average Method Complexity - 2.667 , Coverage - 93.3% ">RFC2109Spec</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/RFC2109SpecFactory.html#RFC2109SpecFactory" class="tag"
	  style="font-size: 16px;color:#1b05e3"
	  title="Average Method Complexity - 3 , Coverage - 78.6% ">RFC2109SpecFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/RFC2965CommentUrlAttributeHandler.html#RFC2965CommentUrlAttributeHandler" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="Average Method Complexity - 1.25 , Coverage - 90.9% ">RFC2965CommentUrlAttributeHandler</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/RFC2965DiscardAttributeHandler.html#RFC2965DiscardAttributeHandler" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="Average Method Complexity - 1.25 , Coverage - 90.9% ">RFC2965DiscardAttributeHandler</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/RFC2965DomainAttributeHandler.html#RFC2965DomainAttributeHandler" class="tag"
	  style="font-size: 20px;color:#1b05e3"
	  title="Average Method Complexity - 4.8 , Coverage - 77.8% ">RFC2965DomainAttributeHandler</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/RFC2965PortAttributeHandler.html#RFC2965PortAttributeHandler" class="tag"
	  style="font-size: 19px;color:#1b05e3"
	  title="Average Method Complexity - 4.333 , Coverage - 84.1% ">RFC2965PortAttributeHandler</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/RFC2965Spec.html#RFC2965Spec" class="tag"
	  style="font-size: 15px;color:#1b05e3"
	  title="Average Method Complexity - 2.75 , Coverage - 86.1% ">RFC2965Spec</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/RFC2965SpecFactory.html#RFC2965SpecFactory" class="tag"
	  style="font-size: 16px;color:#e4051a"
	  title="Average Method Complexity - 3 , Coverage - 0% ">RFC2965SpecFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/cookie/RFC2965VersionAttributeHandler.html#RFC2965VersionAttributeHandler" class="tag"
	  style="font-size: 16px;color:#1b05e3"
	  title="Average Method Complexity - 3 , Coverage - 79.4% ">RFC2965VersionAttributeHandler</a>
   
	 	 
	       <a href="org/apache/http/client/RedirectException.html#RedirectException" class="tag"
	  style="font-size: 11px;color:#80057e"
	  title="Average Method Complexity - 1 , Coverage - 33.3% ">RedirectException</a>
   
	 	 
	       <a href="org/apache/http/client/protocol/RequestAddCookies.html#RequestAddCookies" class="tag"
	  style="font-size: 40px;color:#0205fc"
	  title="Average Method Complexity - 13 , Coverage - 90% ">RequestAddCookies</a>
   
	 	 
	       <a href="org/apache/http/client/protocol/RequestAuthCache.html#RequestAuthCache" class="tag"
	  style="font-size: 24px;color:#0205fc"
	  title="Average Method Complexity - 6.333 , Coverage - 91% ">RequestAuthCache</a>
   
	 	 
	       <a href="org/apache/http/client/protocol/RequestAuthenticationBase.html#RequestAuthenticationBase" class="tag"
	  style="font-size: 20px;color:#1b05e3"
	  title="Average Method Complexity - 4.75 , Coverage - 77.3% ">RequestAuthenticationBase</a>
   
	 	 
	       <a href="org/apache/http/client/protocol/RequestClientConnControl.html#RequestClientConnControl" class="tag"
	  style="font-size: 22px;color:#0205fc"
	  title="Average Method Complexity - 5.5 , Coverage - 91.2% ">RequestClientConnControl</a>
   
	 	 
	       <a href="org/apache/http/client/protocol/RequestProxyAuthentication.html#RequestProxyAuthentication" class="tag"
	  style="font-size: 19px;color:#1b05e3"
	  title="Average Method Complexity - 4.5 , Coverage - 86.5% ">RequestProxyAuthentication</a>
   
	 	 
	       <a href="org/apache/http/client/protocol/RequestTargetAuthentication.html#RequestTargetAuthentication" class="tag"
	  style="font-size: 18px;color:#0205fc"
	  title="Average Method Complexity - 4 , Coverage - 93.5% ">RequestTargetAuthentication</a>
   
	 	 
	       <a href="org/apache/http/impl/client/RequestWrapper.html#RequestWrapper" class="tag"
	  style="font-size: 12px;color:#1b05e3"
	  title="Average Method Complexity - 1.533 , Coverage - 77.1% ">RequestWrapper</a>
   
	 	 
	       <a href="org/apache/http/client/protocol/ResponseAuthCache.html#ResponseAuthCache" class="tag"
	  style="font-size: 21px;color:#1b05e3"
	  title="Average Method Complexity - 5.2 , Coverage - 83.3% ">ResponseAuthCache</a>
   
	 	 
	       <a href="org/apache/http/client/protocol/ResponseContentEncoding.html#ResponseContentEncoding" class="tag"
	  style="font-size: 30px;color:#0205fc"
	  title="Average Method Complexity - 9 , Coverage - 94.3% ">ResponseContentEncoding</a>
   
	 	 
	       <a href="org/apache/http/client/protocol/ResponseProcessCookies.html#ResponseProcessCookies" class="tag"
	  style="font-size: 20px;color:#0205fc"
	  title="Average Method Complexity - 5 , Coverage - 88.1% ">ResponseProcessCookies</a>
   
	 	 
	       <a href="org/apache/http/client/utils/Rfc3492Idn.html#Rfc3492Idn" class="tag"
	  style="font-size: 21px;color:#0205fc"
	  title="Average Method Complexity - 5.25 , Coverage - 95.6% ">Rfc3492Idn</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/tsccm/RouteSpecificPool.html#RouteSpecificPool" class="tag"
	  style="font-size: 13px;color:#3405ca"
	  title="Average Method Complexity - 1.824 , Coverage - 74% ">RouteSpecificPool</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/SPNegoScheme.html#SPNegoScheme" class="tag"
	  style="font-size: 11px;color:#660598"
	  title="Average Method Complexity - 1.125 , Coverage - 50% ">SPNegoScheme</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/SPNegoSchemeFactory.html#SPNegoSchemeFactory" class="tag"
	  style="font-size: 11px;color:#4d05b1"
	  title="Average Method Complexity - 1 , Coverage - 55.6% ">SPNegoSchemeFactory</a>
   
	 	 
	       <a href="org/apache/http/conn/ssl/SSLInitializationException.html#SSLInitializationException" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">SSLInitializationException</a>
   
	 	 
	       <a href="org/apache/http/conn/ssl/SSLSocketFactory.html#SSLSocketFactory" class="tag"
	  style="font-size: 15px;color:#990565"
	  title="Average Method Complexity - 2.69 , Coverage - 27.9% ">SSLSocketFactory</a>
   
	 	 
	       <a href="org/apache/http/conn/scheme/Scheme.html#Scheme" class="tag"
	  style="font-size: 15px;color:#4d05b1"
	  title="Average Method Complexity - 2.545 , Coverage - 64.3% ">Scheme</a>
   
	 	 
	       <a href="org/apache/http/conn/scheme/SchemeLayeredSocketFactoryAdaptor.html#SchemeLayeredSocketFactoryAdaptor" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">SchemeLayeredSocketFactoryAdaptor</a>
   
	 	 
	       <a href="org/apache/http/conn/scheme/SchemeLayeredSocketFactoryAdaptor2.html#SchemeLayeredSocketFactoryAdaptor2" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">SchemeLayeredSocketFactoryAdaptor2</a>
   
	 	 
	       <a href="org/apache/http/conn/scheme/SchemeRegistry.html#SchemeRegistry" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="Average Method Complexity - 1.75 , Coverage - 84.8% ">SchemeRegistry</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/SchemeRegistryFactory.html#SchemeRegistryFactory" class="tag"
	  style="font-size: 11px;color:#660598"
	  title="Average Method Complexity - 1 , Coverage - 50% ">SchemeRegistryFactory</a>
   
	 	 
	       <a href="org/apache/http/conn/scheme/SchemeSocketFactoryAdaptor.html#SchemeSocketFactoryAdaptor" class="tag"
	  style="font-size: 12px;color:#e4051a"
	  title="Average Method Complexity - 1.571 , Coverage - 0% ">SchemeSocketFactoryAdaptor</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/SingleClientConnManager.html#SingleClientConnManager" class="tag"
	  style="font-size: 15px;color:#b2054c"
	  title="Average Method Complexity - 2.938 , Coverage - 17% ">SingleClientConnManager</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/SingleClientConnManager.html#SingleClientConnManager.ConnAdapter" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">SingleClientConnManager.ConnAdapter</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/SingleClientConnManager.html#SingleClientConnManager.PoolEntry" class="tag"
	  style="font-size: 12px;color:#80057e"
	  title="Average Method Complexity - 1.667 , Coverage - 42.9% ">SingleClientConnManager.PoolEntry</a>
   
	 	 
	       <a href="org/apache/http/conn/scheme/SocketFactoryAdaptor.html#SocketFactoryAdaptor" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 1.857 , Coverage - 0% ">SocketFactoryAdaptor</a>
   
	 	 
	       <a href="org/apache/http/impl/client/StandardHttpRequestRetryHandler.html#StandardHttpRequestRetryHandler" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">StandardHttpRequestRetryHandler</a>
   
	 	 
	       <a href="org/apache/http/conn/ssl/StrictHostnameVerifier.html#StrictHostnameVerifier" class="tag"
	  style="font-size: 11px;color:#660598"
	  title="Average Method Complexity - 1 , Coverage - 50% ">StrictHostnameVerifier</a>
   
	 	 
	       <a href="org/apache/http/impl/client/SystemClock.html#SystemClock" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">SystemClock</a>
   
	 	 
	       <a href="org/apache/http/impl/client/SystemDefaultHttpClient.html#SystemDefaultHttpClient" class="tag"
	  style="font-size: 12px;color:#e4051a"
	  title="Average Method Complexity - 1.4 , Coverage - 0% ">SystemDefaultHttpClient</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/tsccm/ThreadSafeClientConnManager.html#ThreadSafeClientConnManager" class="tag"
	  style="font-size: 12px;color:#990565"
	  title="Average Method Complexity - 1.6 , Coverage - 30.6% ">ThreadSafeClientConnManager</a>
   
	 	 
	       <a href="org/apache/http/conn/ssl/TrustManagerDecorator.html#TrustManagerDecorator" class="tag"
	  style="font-size: 11px;color:#660598"
	  title="Average Method Complexity - 1.25 , Coverage - 53.8% ">TrustManagerDecorator</a>
   
	 	 
	       <a href="org/apache/http/conn/ssl/TrustSelfSignedStrategy.html#TrustSelfSignedStrategy" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">TrustSelfSignedStrategy</a>
   
	 	 
	       <a href="org/apache/http/impl/client/TunnelRefusedException.html#TunnelRefusedException" class="tag"
	  style="font-size: 11px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">TunnelRefusedException</a>
   
	 	 
	       <a href="org/apache/http/client/utils/URIBuilder.html#URIBuilder" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="Average Method Complexity - 1.871 , Coverage - 88% ">URIBuilder</a>
   
	 	 
	       <a href="org/apache/http/client/utils/URIUtils.html#URIUtils" class="tag"
	  style="font-size: 22px;color:#3405ca"
	  title="Average Method Complexity - 5.7 , Coverage - 72.4% ">URIUtils</a>
   
	 	 
	       <a href="org/apache/http/client/utils/URLEncodedUtils.html#URLEncodedUtils" class="tag"
	  style="font-size: 17px;color:#0205fc"
	  title="Average Method Complexity - 3.471 , Coverage - 93% ">URLEncodedUtils</a>
   
	 	 
	       <a href="org/apache/http/impl/auth/UnsupportedDigestAlgorithmException.html#UnsupportedDigestAlgorithmException" class="tag"
	  style="font-size: 11px;color:#80057e"
	  title="Average Method Complexity - 1 , Coverage - 33.3% ">UnsupportedDigestAlgorithmException</a>
   
	 	 
	       <a href="org/apache/http/client/entity/UrlEncodedFormEntity.html#UrlEncodedFormEntity" class="tag"
	  style="font-size: 12px;color:#e4051a"
	  title="Average Method Complexity - 1.5 , Coverage - 0% ">UrlEncodedFormEntity</a>
   
	 	 
	       <a href="org/apache/http/auth/UsernamePasswordCredentials.html#UsernamePasswordCredentials" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="Average Method Complexity - 1.75 , Coverage - 89.1% ">UsernamePasswordCredentials</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/tsccm/WaitingThread.html#WaitingThread" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="Average Method Complexity - 1.857 , Coverage - 84.8% ">WaitingThread</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/tsccm/WaitingThreadAborter.html#WaitingThreadAborter" class="tag"
	  style="font-size: 13px;color:#3405ca"
	  title="Average Method Complexity - 2 , Coverage - 66.7% ">WaitingThreadAborter</a>
   
	 	 
	       <a href="org/apache/http/impl/conn/Wire.html#Wire" class="tag"
	  style="font-size: 13px;color:#e4051a"
	  title="Average Method Complexity - 2.077 , Coverage - 0% ">Wire</a>
      </div>
   
   
   </div>
   <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
</div>

</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>
<tr><td class="footer" colspan="1">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 11:13:08 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
</body>
</html>
